Ice Reference Documentation
<<< Previous | Slice Documentation | Next >>>

# `IceGrid::NodeUpdateDescriptor`

## Overview

    struct NodeUpdateDescriptor

A node update descriptor to describe the updates to apply to a node of a deployed application.

### Used By

NodeUpdateDescriptorSeq

### Data Member Index

name

  The name of the node to update.

description

  The updated description (or null if the description wasn't updated.)

variables

  The variables to update.

removeVariables

  The variables to remove.

propertySets

  The property sets to update.

removePropertySets

  The property sets to remove.

serverInstances

  The server instances to update.

servers

  The servers which are not template instances to update.

removeServers

  The ids of the servers to remove.

loadFactor

  The updated load factor of the node (or null if the load factor wasn't updated.)

## `name`

    string name;

The name of the node to update.

## `description`

    BoxedString description;

The updated description (or null if the description wasn't updated.)

## `variables`

    [ "java:type:{java.util.TreeMap}" ]
    StringStringDict variables;

The variables to update.

## `removeVariables`

    ::Ice::StringSeq removeVariables;

The variables to remove.

## `propertySets`

    PropertySetDescriptorDict propertySets;

The property sets to update.

## `removePropertySets`

    ::Ice::StringSeq removePropertySets;

The property sets to remove.

## `serverInstances`

    ServerInstanceDescriptorSeq serverInstances;

The server instances to update.

## `servers`

    ServerDescriptorSeq servers;

The servers which are not template instances to update.

## `removeServers`

    ::Ice::StringSeq removeServers;

The ids of the servers to remove.

## `loadFactor`

    BoxedString loadFactor;

The updated load factor of the node (or null if the load factor wasn't updated.)

<<< Previous | Home | Next >>>
`IceGrid::NodeUnreachableException` | Up | `IceGrid::ObjectDescriptor`